org.modeshape.jcr.index.local

## Class MapDB

- java.lang.Object
- - org.modeshape.jcr.index.local.MapDB

-     public class MapDB
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapDB.ComparableUniqueKeyComparator<K>`
    `static class` | `MapDB.DelegatingKeySerializer<K extends Comparable<K>>` A key serializer that just writes data without applying any compression.
    `static class` | `MapDB.DoubleSerializer`
    `static interface` | `MapDB.KeySerializerWithComparator<K>`
    `protected static class` | `MapDB.LocalTuple2KeySerializer<A,B>` Applies delta compression on array of tuple.
    `static class` | `MapDB.NaturalComparator<K extends Comparable<K>>`
    `static interface` | `MapDB.Serializers`
    `static class` | `MapDB.SerializerSupplier`
    `protected static class` | `MapDB.TupleComparator<A,B>`
    `static class` | `MapDB.UniqueKey<K>`
    `static class` | `MapDB.UniqueKeyBTreeSerializer<K>`
    `static class` | `MapDB.UniqueKeyComparator<K>`
    `static class` | `MapDB.UniqueKeySerializer<K>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.mapdb.BTreeKeySerializer<?>` | `DEFAULT_BTREE_KEY_SERIALIZER`
    `protected static org.mapdb.Serializer<?>` | `DEFAULT_SERIALIZER`
    `static org.mapdb.Serializer<NodeKey>` | `NODE_KEY_SERIALIZER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapDB.Serializers` | `serializers(ValueFactories factories)`
    `static <A,B> org.mapdb.BTreeKeySerializer<org.mapdb.Fun.Tuple2<A,B>>` | `tupleBTreeSerializer(Comparator<A> aComparator, org.mapdb.Serializer<A> aSerializer, org.mapdb.Serializer<B> bSerializer, Comparator<org.mapdb.Fun.Tuple2<A,B>> tupleComparator)`
    `static <A,B> Comparator<org.mapdb.Fun.Tuple2<A,B>>` | `tupleComparator(Comparator<A> aComparator, Comparator<B> bComparator)`
    `static <T> org.mapdb.BTreeKeySerializer<MapDB.UniqueKey<T>>` | `uniqueKeyBTreeSerializer(org.mapdb.Serializer<T> serializer, Comparator<T> comparator)`
    `static <T> Comparator<MapDB.UniqueKey<T>>` | `uniqueKeyComparator(Comparator<T> comparator)`
    `static <T> org.mapdb.Serializer<MapDB.UniqueKey<T>>` | `uniqueKeySerializer(org.mapdb.Serializer<T> serializer, Comparator<T> comparator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NODE_KEY_SERIALIZER

          public static final org.mapdb.Serializer<NodeKey> NODE_KEY_SERIALIZER

    - #### DEFAULT_SERIALIZER

          protected static final org.mapdb.Serializer<?> DEFAULT_SERIALIZER

    - #### DEFAULT_BTREE_KEY_SERIALIZER

          protected static final org.mapdb.BTreeKeySerializer<?> DEFAULT_BTREE_KEY_SERIALIZER

  - ### Method Detail

    - #### serializers

          public static MapDB.Serializers serializers(ValueFactories factories)

    - #### uniqueKeyBTreeSerializer

          public static <T> org.mapdb.BTreeKeySerializer<MapDB.UniqueKey<T>> uniqueKeyBTreeSerializer(org.mapdb.Serializer<T> serializer,
                                                                                      Comparator<T> comparator)

    - #### uniqueKeySerializer

          public static <T> org.mapdb.Serializer<MapDB.UniqueKey<T>> uniqueKeySerializer(org.mapdb.Serializer<T> serializer,
                                                                         Comparator<T> comparator)

    - #### uniqueKeyComparator

          public static <T> Comparator<MapDB.UniqueKey<T>> uniqueKeyComparator(Comparator<T> comparator)

    - #### tupleComparator

          public static <A,B> Comparator<org.mapdb.Fun.Tuple2<A,B>> tupleComparator(Comparator<A> aComparator,
                                                                    Comparator<B> bComparator)

    - #### tupleBTreeSerializer

          public static <A,B> org.mapdb.BTreeKeySerializer<org.mapdb.Fun.Tuple2<A,B>> tupleBTreeSerializer(Comparator<A> aComparator,
                                                                                           org.mapdb.Serializer<A> aSerializer,
                                                                                           org.mapdb.Serializer<B> bSerializer,
                                                                                           Comparator<org.mapdb.Fun.Tuple2<A,B>> tupleComparator)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.